Subject: bug#57372: no-toolkit menu popups do not respect emacs font configuration

From: Po Lu <[email-masked]>
Date: Thu, 25 Aug 2022 09:26:42 +0800

Tomas Hlavaty <[email-masked]> writes:

> I suppose it is possible, but complex and inconvenient.
> Why do I need to do that in the first place?

Because that is how the old XMenu library, and most other X programs,
work.

> In my example, I had a function like this:
>
> (defun set-text-height (new-height)
>   (set-face-attribute 'default nil :height new-height))
>
> How could I achieve what you suggest so that setting the font height
> would also apply to menu item X resource font?

X core fonts are not scalable, so they do not support having their
height set.